petsc-3.12.4 2020-02-04
Report Typos and Errors

# PetscMatlabEngine

Object used to communicate with MATLAB

### Synopsis

    typedef struct _p_PetscMatlabEngine* PetscMatlabEngine;

Note: Mats transfered between PETSc and MATLAB and vis versa are transposed in the other space (this is because MATLAB uses compressed column format and PETSc uses compressed row format)

### See Also

PetscMatlabEngineCreate(), PetscMatlabEngineDestroy(), PetscMatlabEngineEvaluate(),
PetscMatlabEngineGetOutput(), PetscMatlabEnginePut(), PetscMatlabEngineGet(), PetscMatlabEnginePrintOutput(), PetscMatlabEnginePutArray(), PetscMatlabEngineGetArray(), PETSC_MATLAB_ENGINE_(), PETSC_MATLAB_ENGINE_SELF, PETSC_MATLAB_ENGINE_WORLD

### Level

intermediate

### Location

include/petscmatlab.h

### Implementations

_p_PetscMatlabEngine in src/sys/classes/matlabengine/matlab.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages